﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectMachine
{
    internal class TankCompareByColor : IComparer<IDrawningObject>
    {
        public int Compare(IDrawningObject? x, IDrawningObject? y)
        {

            if (x == null && y == null)
            {
                return 0;
            }
            if (x == null && y != null)
            {
                return 1;
            }
            if (x != null && y == null)
            {
                return -1;
            }
            var xTank = x as DrawningObject;
            var yTank = y as DrawningObject;
            if (xTank == null && yTank == null)
            {
                return 0;
            }
            if (xTank == null && yTank != null)
            {
                return 1;
            }
            if (xTank != null && yTank == null)
            {
                return -1;
            }
            var xColorName = xTank._machine.Machine.BodyColor.Name;
            var yColorName = yTank._machine.Machine.BodyColor.Name;
            return xColorName.CompareTo(yColorName);
        }
        }
}
